﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;


namespace SimpleSliderDemo.Data
{
    class MobilePhone : INotifyPropertyChanged
    {
        #region Events

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion // Events

        #region Properties

        #region Id

        private long _id;

        public long Id
        {
            get
            {
                return _id;
            }

            set
            {
                if (value != _id)
                {
                    _id = value;
                    this.RaisePropertyChanged("Id");
                }
            }
        }

        #endregion // Id

        #region Brand

        private string _brand;

        public string Brand
        {
            get
            {
                return _brand;
            }

            set
            {
                if (value != _brand)
                {
                    _brand = value;
                    this.RaisePropertyChanged("Brand");
                }
            }
        }

        #endregion // Brand

        #region Model

        private string _model;

        public string Model
        {
            get
            {
                return _model;
            }

            set
            {
                if (value != _model)
                {
                    _model = value;
                    this.RaisePropertyChanged("Model");
                }
            }
        }

        #endregion // Model

        #region Price

        private string _price;

        public string Price
        {
            get
            {
                return _price;
            }

            set
            {
                if (value != _price)
                {
                    _price = value;
                    this.RaisePropertyChanged("Price");
                }
            }
        }

        #endregion // Price

        #region Quantity

        private int _quantity;

        public int Quantity
        {
            get
            {
                return _quantity;
            }

            set
            {
                if (value != _quantity)
                {
                    _quantity = value;
                    this.RaisePropertyChanged("Quantity");
                }
            }
        }

        #endregion // Quantity

        #endregion // Properties

        #region Methods

        #region RaisePropertyChanged
        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion //RaisePropertyChanged

        #endregion // Methods
    }
}
