﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;

namespace SimpleSliderDemo.Data
{
    class MobilePhonesData
    {
        #region Events

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion // Events

        #region Properties

        #region Phones

        private ObservableCollection<MobilePhone> _phones;

        public ObservableCollection<MobilePhone> Phones
        {
            get
            {
                return _phones;
            }

            set
            {
                if (value != _phones)
                {
                    _phones = value;
                    RaisePropertyChanged("Phones");
                }
            }
        }

        #endregion // Phones

        #endregion // Properties

        #region Constructor

        public MobilePhonesData()
        {
            this.Phones = new ObservableCollection<MobilePhone>
                              {
                                  new MobilePhone
                                      {
                                          Id = 0,
                                          Brand = "Motorola",
                                          Model = "GSM C139",
                                          Price = "42 $", 
                                          Quantity = 100
                                      },
                                  new MobilePhone
                                      {
                                          Id = 1,
                                          Brand = "Motorola",
                                          Model = "GSM C123",
                                          Price = "46 $", 
                                          Quantity=120
                                      },
                                  new MobilePhone
                                      {
                                          Id = 2,
                                          Brand = "LG",
                                          Model = "GSM KG275",
                                          Price = "48.99 $", 
                                          Quantity=79
                                      },

                                  new MobilePhone
                                      {
                                          Id = 3,
                                          Brand = "Sony Ericsson",
                                          Model = "GSM J110i",
                                          Price = "52 $", 
                                          Quantity=35
                                      }
                              };
        }

        #endregion // Constructor

        #region Methods

        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // Methods
    }
}
