﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using SimpleSliderDemo.Data;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SimpleSliderDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        #region Methods
        #region MainPage_Loaded
        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            MobilePhonesData mobilePhonesData = new MobilePhonesData();

            ObservableCollection<object> col = new ObservableCollection<object>();
            var mobileData = mobilePhonesData.Phones;
            foreach (MobilePhone phone in mobileData)
            {
                col.Add(phone);
            }

            list1.DataContext = col;
            list1.SelectedIndex = 0;

        }
        #endregion //MainPage_Loaded

        #region col_CollectionChanged
        void col_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            simpleSlider1.DataContext = list1.SelectedItem;
        }
        #endregion //col_CollectionChanged


        #region MobilePhonesData_Loaded
        private void MobilePhonesData_Loaded(object sender, RoutedEventArgs e)
        {
            MobilePhonesData mobilePhonesData = new MobilePhonesData();
            var mobileData = mobilePhonesData.Phones;
        }
        #endregion //MobilePhonesData_Loaded

        #region list1_SelectionChanged
        private void list1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            simpleSlider1.DataContext = list1.SelectedItem;

            this.PhoneDetailsList.Navigate(typeof(PhoneDetailsPage), list1.SelectedItem);
        }
        #endregion //list1_SelectionChanged

        #region OnNavigatedTo
        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
        #endregion //OnNavigatedTo
        #endregion //Methods
    }

    #region  Value Converter
    public class IntToDoubleFormatter : IValueConverter
    {
        //public object Convert(object value, string typeName, object parameter, string language)
        //Convert the slider value into Grades
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            double _value = 0.0;

            try
            {
                _value = System.Convert.ToDouble(value.ToString());
            }
            catch { }

            return _value;
        }


        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {

            int _value = 0;


            double dblValue = (double)value;

            _value = (int)dblValue;

            return _value;
        }
    }
    #endregion
        
}
